%ext ck4
%version 1.4

#Load the modified loading screen
%patchfile $1fe47 ck4load.bin 

#Load the modified graphics
%egahead EGAHEAD.CK4

#Story text file
%patchfile $1EE40 "STORY.CK4"

#Load the modified levels
%maphead maphead.ck4

#Load the modified tile info
%patchfile $249C2 tiles.tli

#Terminator text palette:
%patch $2F078 $00 $04 $04 $1C $01 $01 $01 $01     #Dark colors
              $11 $11 $11 $11 $13 $13 $13 $13 $00 #Light colors (and border color)

#High Score Names
%patch $33234 "Commander Keen   " $00
%patch $33274 "Princess Lindsey " $00
%patch $332B4 "Berkeloid        " $00
%patch $332F4 "Dopefish         " $00
%patch $33334 "Blue Bird        " $00
%patch $33374 "Arachnut         " $00
%patch $333B4 "Skypest          " $00
%patch $333F4 "Mimrock          " $00

#Level text
%patch $1F040 "Sunnylands " $00 #Worldmap
%patch $1F050 " Bounder Road  " $00 #Level 1
%patch $1F060 "  Food Street  " $00 #Level 2
%patch $1F070 "  Cluedonnia   " $00 #Level 3
%patch $1F090 "Pyramid of Puns" $00 #Level 4
%patch $1F0B0 "   Life Lake   " $00 #Level 5
%patch $1F0C0 "Pyramid of Suns" $00 #Level 6
%patch $1F0D0 " Foggy Shelter " $00 #Level 7
%patch $1F0E0 "  Glacierden   " $00 #Level 8
%patch $1F0F0 " Relic Grotto  " $00 #Level 9
%patch $1F100 "  Clear City   " $00 #Level 10
%patch $1F110 " Pyramid of Secrets " $00 #Level 11
%patch $1F130 "  Oven Island  " $00 #Level 12
%patch $1F150 "Isle of Deadly"                  $0A #Level 13
              "     Pools     " $00
%patch $1F180 "Cavity of Clouds" $00 #Level 14
%patch $1F1A0 "Pyramid of Ends" $00 #Level 15
%patch $1F1B0 "   Dumb Well   " $00 #Level 16
%patch $1F1C0 " Flooded Fort  " $00 #Level 17

#Level entry text
%level.entry 0 Keen checks out 
the Sunnylands

%level.entry 1 Keen hops through   
 Bounder Road     

%level.entry 2 Keen hikes into
Food Street 

%level.entry 3 Keen looks around 
Cluedonnia          

%level.entry 4 Keen laughs in the  
 Pyramid of Puns           

%level.entry 5 Keen runs around  
 the Life Lake     

%level.entry 6 Keen steps in the 
 Pyramid of Suns  

%level.entry 7 Keen enters the   
Foggy S. 

%level.entry 8 Keen shivers in     
 Glacierden         

%level.entry 9 Keen searches across
 R.G.  

%level.entry 10 Keen dashes into
Clear City     

%level.entry 11 Keen questions the 
 Pyramid of Secrets 

%level.entry 12 Keen pants and pants 
in Oven Island       

%level.entry 13 Keen quivers in the   
Isle of Deadly    
 Pools             

%level.entry 14 Keen screams loudly in 
 the Cavity of Clouds  
         

%level.entry 15 Keen gulps in the   
Pyramid of Ends

%level.entry 16 Keen dives into the   
 Dumb Well 

%level.entry 17 Keen feels amazed in 
the Flooded Fort   

%level.entry 18 Keen plays around 
the Bean-with-Bacon 
Megarocket

#You didn't make it past... window
%patch $2F191 "Exit to Sunnylands " $00

#Music
%patch $2F206 $00 $00 $04 $00 $03 $00 $03 $00 $02 $00 $03 $00 $02 $00 $01 $00 $01 $00 $03 $00 $04 $00 $02 $00 $02 $00 $02 $00 $04 $00 $02 $00 $01 $00 $01 $00 $05 $00 $05 $00 

#Council Members text
%patch $30C17 "Oh thank you so much"
%patch $30C2C "for rescuing me!"
%patch $30C3D "I'll be more aware"
%patch $30C50 "next time I   "
%patch $30C5F "hike.       "

%patch $30BB3 "....Uh, wasn't there "
%patch $30BC9 "someone that's in   "
%patch $30BDE "water and yet talks"
%patch $30BF2 "normal? Eh, I  "
%patch $30C02 "will be more aware. "

#Council Members text - Keen's replies
%patch $30A71 "One down, seven more "
%patch $30A87 "to find!  "

%patch $30A92 "You better be more "
%patch $30AA6 "careful!    "

%patch $30AB3 "Ok, just go."

%patch $30AC0 "Hm, maybe you should "
%patch $30AD6 "get a gun and maybe"
%patch $30AEA "a pogo next time.    "

%patch $30B13 "Just don't get   "
%patch $30B25 "trapped in another"
%patch $30B38 "place!     "

%patch $30B44 "At least you aren't "
%patch $30B59 "Princess Peach.  "

%patch $30B00 "REAL careful!     "

%patch $30B6B "Ah, finally! Now we "
%patch $30B80 "can see how's     "
%patch $30B93 "Mortimer doing!"
%patch $30BA3 "Let's go!      "

#Hint level 5
%patch $30999 "I heard the Pyramid of"
%patch $309B0 "Secrets has interest-"
%patch $309C6 "ing stuff. It might "
%patch $309DB "help. "

%patch $309FA "Interesting   "
%patch $30A09 "stuff? Hm, there"
%patch $30A1A "could be."

#Hint level 7
%patch $3094C "Have you checked the"
%patch $30961 "Relic Grotto? I think  "
%patch $30979 "there's a wetsuit in "
%patch $3098F "there..."

%patch $309E3 "Wow, thanks!          "

#Wetsuit Text
%patch $30A4B "Gnosticus IV is like"
%patch $30A60 "a wetsuit store."

#Foot location 1:
#If Keen is ABOVE this, it will screw up
%patch $DE43 $3E
%patch $DE58 $32

#Location 2: (When exiting POTF)
#If Keen is BELOW this, it will screw up
%patch $DE78 $1E
%patch $DE8C $1E

#Council Janitor text
%patch $1F580 "Ah, hello there, cus-  "
%patch $1F598 "tomer! It's been some"
%patch $1F5AE "time since the last time"
%patch $1F5C7 "I had one.   "

%patch $1F5E0 "Anyway, welcome to "
%patch $1F5F4 "Super Duper Stuff!   "
%patch $1F60A "Looking for something? "

%patch $1F630 "Why are you    "
%patch $1F640 "dres-     "

%patch $1F650 "So I can attract  "
%patch $1F663 "customers!   "

#The level that produces dead swimming Keen
%patch $CC2A $83 $3E $A7EDW  $10 $75 $30

%end
